﻿Imports System.Windows.Threading
Imports Microsoft.Xna.Framework

Public Class XnaFrameworkDispatcherService
    Implements IApplicationService
    Private timer As DispatcherTimer

    Public Sub New()
        timer = New DispatcherTimer
        timer.Interval = TimeSpan.FromTicks(333333)
        AddHandler timer.Tick, AddressOf OnTimerTick
        FrameworkDispatcher.Update()
    End Sub

    Private Sub OnTimerTick(ByVal sender As Object, ByVal args As EventArgs)
        FrameworkDispatcher.Update()
    End Sub

    Private Sub StartService(ByVal context As ApplicationServiceContext) Implements IApplicationService.StartService
        timer.Start()
    End Sub

    Private Sub StopService() Implements IApplicationService.StopService
        timer.Stop()
    End Sub
End Class
